#include <bits/stdc++.h>
using namespace std;
int main()
{
	freopen("bai2_18.inp", "r", stdin);
	freopen("bai2_18.out", "w", stdout);
 	int n;
 	cin>>n;
 	int a[n];
 	for(int i=0; i<n; i++)
 	{
 		cin>>a[i];
	}
	sort(a, a+n);
	int dem=0;
	for(int i=0; i<n-2; i++)
	{
		for(int j=i+1; j<n-1; j++)
		{
			for(int k=j+1; k<n; k++)
			{
				if(a[i]+a[j]>a[k])
				{
					dem++;
				}
				else break;
			}
		}
	}
	cout<<dem;
}

